## AgsAudioFileLink

AgsAudioFileLink — link objects read of file.

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAudioFileLink * | ags_audio_file_link_new ()

## Properties

guint | audio-channel | Read / Write
char * | instrument | Read / Write
char * | preset | Read / Write
char * | sample | Read / Write
GObject * | timestamp | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsFileLink
            ╰── AgsAudioFileLink

## Includes

    #include <ags/file/ags_audio_file_link.h>

## Description

The AgsAudioFileLink links read objects of file.

## Functions

### ags_audio_file_link_new ()

    AgsAudioFileLink *
    ags_audio_file_link_new ();

Create a new instance of AgsAudioFileLink

#### Returns

the new AgsAudioFileLink

Since: 3.0.0

## Property Details

### The `“audio-channel”` property

      “audio-channel”            guint

The assigned audio channel.

Owner: AgsAudioFileLink

Flags: Read / Write

Allowed values: <= 256

Default value: 0

Since: 3.0.0

### The `“instrument”` property

      “instrument”               char *

The assigned instrument.

Owner: AgsAudioFileLink

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“preset”` property

      “preset”                   char *

The assigned preset.

Owner: AgsAudioFileLink

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“sample”` property

      “sample”                   char *

The assigned sample.

Owner: AgsAudioFileLink

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“timestamp”` property

      “timestamp”                GObject *

The assigned timestamp.

Owner: AgsAudioFileLink

Flags: Read / Write

Since: 3.0.0